// Factorial4
// Compute factorials using recursion

#include "stdafx.h"

#using <mscorlib.dll>

using namespace System;

//Computes and returns the factorial of a number using recursion
//The factorial of 1 is 1, so that is easy.
//For the other ones, call Factorial again for
//something easier to solve.
int Factorial(int nNumber) 
{
	if (nNumber > 1)
		return nNumber*Factorial(nNumber-1);
	return nNumber;
}


//This routine prompts the user for a number.
//It returns the value of the number
int GetNumber() 
{
	int nNumber;

	Console::WriteLine(S"What is the number?");
	nNumber = Int32::Parse(Console::ReadLine());
	return nNumber;
}

// This is the entry point for this application
#ifdef _UNICODE
int wmain(void)
#else
int main(void)
#endif
{
	int nNumber;

	//Get numbers from the user, until the user
	//types 0
	while (nNumber = GetNumber()) 
	{
		//Now we will output the result
		//Note that we are calling the function
		//Factorial
		Console::WriteLine(S"The factorial of {0} is {1}", nNumber.ToString(), Factorial(nNumber).ToString());
	}

	//Now we are finished
	Console::WriteLine(S"Bye");
    return 0;
}