// Point
// Shows how to declare and dereference pointers

#include "stdafx.h"

#using <mscorlib.dll>

using namespace System;

//Hang out until the user is finished
void HangOut()
{
	Console::WriteLine(L"Hit the enter key to stop the program");
	Console::ReadLine();
}

// This is the entry point for this application
#ifdef _UNICODE
int wmain(void)
#else
int main(void)
#endif
{
	int *pnNumber;
	int nNumber;

	//Have pnNumber point to nNumber
	pnNumber = &nNumber;

	//Get a number from the user
	Console::WriteLine(S"Please type in a number");
	nNumber = Int32::Parse(Console::ReadLine());

	//Now print this value back
	Console::WriteLine(S"The number is {0}", nNumber.ToString());

	//Now print it using a pointer
	Console::WriteLine(S"Using a pointer {0}", (*pnNumber).ToString());

	HangOut();
    return 0;
}