// Accessors
// Provides private access functions

#include "stdafx.h"

#using <mscorlib.dll>

using namespace System;

//This class uses properties for accessors
__gc class PointObject 
{
public:
   __property int get_X();
   __property void set_X(int i);
   __property int get_Y();
   __property void set_Y(int i);
private:
	int m_nX;
	int m_nY;
};

//Here we implement what will occur when a programmer references
//the X and Y properties of the object. Note how we use private
//members for storing the real values
int PointObject::get_X()
{
	return m_nX;
}

int PointObject::get_Y()
{
	return m_nY;
}

void PointObject::set_X(int i)
{
	m_nX = i;
}

void PointObject::set_Y(int i)
{
	m_nY = i;
}


//Hang out until the user is finished
void HangOut()
{
	Console::WriteLine(L"Hit the enter key to stop the program");
	Console::ReadLine();
}


// This is the entry point for this application
#ifdef _UNICODE
int wmain(void)
#else
int main(void)
#endif
{
	PointObject *poPoint = new PointObject();
	//Set the x and y values
	poPoint->X = 3;
	poPoint->Y = 2;

	//Now spit them back
	Console::WriteLine(S"The point is {0}, {1}", poPoint->X.ToString(), poPoint->Y.ToString());

	HangOut();
	return 0;
}