// CircleArea3
// Computes the area of a circle given the radius
// Uses a structure for storing the information

#include "stdafx.h"

#using <mscorlib.dll>

using namespace System;


//Set up a structure for storing information about circles
class CircleInfo
{
public:
	double dblRadius;
	double dblArea;
};

// This is the entry point for this application
#ifdef _UNICODE
int wmain(void)
#else
int main(void)
#endif
{
	const double PI = 3.141592; 
	CircleInfo oCircle;

	//Ask for the size of the radius
    Console::WriteLine(S"What is the radius?");
	
	//Convert the answer to a floating point number
	oCircle.dblRadius = Double::Parse(Console::ReadLine());

	//Calculate the area of the circle
	oCircle.dblArea = PI*oCircle.dblRadius*oCircle.dblRadius;

	//Write out the result
	//Note that we must convert the area into a string to do so
	Console::WriteLine(S"The circle's area is {0} units.", oCircle.dblArea.ToString());

	//Hang out until the user is finished
	Console::WriteLine(S"Hit the enter key to stop the program");
	Console::ReadLine();

    return 0;
}