// CircleArea4
// Computes the area of a circle given the radius
// Uses math functions

#include "stdafx.h"

#using <mscorlib.dll>

using namespace System;

//Set up a structure for storing information about circles
class CircleInfo
{
public:
	double dblRadius;
	double dblArea;
};


// This is the entry point for this application
#ifdef _UNICODE
int wmain(void)
#else
int main(void)
#endif
{
	CircleInfo oCircle;

	//Ask for the size of the radius
    Console::WriteLine(S"What is the radius?");
	
	//Read in the radius and convert to a floating point number
	oCircle.dblRadius = Double::Parse(Console::ReadLine());

	//Calculate the area of the circle
	oCircle.dblArea = Math::PI*oCircle.dblRadius*oCircle.dblRadius;
	                                                                                                       
	//Write out the result
	//Note that we must convert the area into a string to do so
	Console::WriteLine(S"The circle's area is {0} units.", oCircle.dblArea.ToString());

	//And now do some gratuitous math
	Console::WriteLine(S"And in case you were wondering, the square root of the radius is {0}", Math::Sqrt(oCircle.dblRadius).ToString());

	//Hang out until the user is finished
	Console::WriteLine(S"Hit the enter key to stop the program");
	Console::ReadLine();

    return 0;
}