// File
// Create and write text into a file. Read it back

#include "stdafx.h"

#using <mscorlib.dll>

using namespace System;
using namespace System::IO;

//Hang out until the user is finished
void HangOut()
{
	Console::WriteLine(L"Hit the enter key to stop the program");
	Console::ReadLine();
}

// This is the entry point for this application
#ifdef _UNICODE
int wmain(void)
#else
int main(void)
#endif
{
	//Create the file
	StreamWriter *poWStream;
	StreamReader *poRStream;

	//Open a stream for writing text into it
	poWStream = File::CreateText(S"test.txt");
	//Write out some text
	poWStream->Write(S"Hello this is a test");
	//Close the stream
	poWStream->Close();


	//Open it for reading
	poRStream = File::OpenText(S"test.txt");
	Console::WriteLine(poRStream->ReadLine());
	poRStream->Close();

	HangOut();
    return 0;
}