// File2
// Using streams
// Unmanaged

#include "stdafx.h"
#include <fstream.h>
#include <iostream.h>

int _tmain(int argc, _TCHAR* argv[])
{
	//Open the file new.txt
	ofstream oOutFile("new.txt");

	//Write some text to the file
	oOutFile << "Row, row, row your boat";

	//Now close the file
	oOutFile.close();

	//Open a different file and write some numbers
	//in it. Note that these are separated by
	//spaces.
	oOutFile.open("numbers.txt");
	oOutFile << 15 << " " << 42 << " " << 1;
	oOutFile.close();

	//Now we will open a file for reading.
	ifstream oInFile;
	oInFile.open("new.txt");

	//Set up a buffer that can be used for reading
	//the text.
	char p[50];

	//Read and print the first two words from the
	//file.
	oInFile >>  p;
	cout << p << endl;
	oInFile >>  p;
	cout << p << endl;

	//Close the file
	oInFile.close();

	//Now we will read through the integers
	int nTempNum;
	oInFile.open("numbers.txt");

	//Read through the file until there is no more
	//input
	while (!oInFile.eof()) 
	{
	   //Read in an integer
	   oInFile >> nTempNum;
	   //If the end of the file wasn't just reached,
	   //print out the integer.
	   if (!oInFile.eof())
	      cout << nTempNum << endl;
	}
	oInFile.close();

	//Now, just for the fun of it, we will read through
	//the text file one word at a time.
	oInFile.open("new.txt");

	//Read through the file until there is no more
	//input
	while (!oInFile.eof()) 
	{
	   //Read through the file one word at a time.
	   //For reading words we don't need to do the
	   //eof check in the middle
	   oInFile >> p;
	   cout << p << endl;
	}
	return 0;
}

