// Form
// Creates a Windows Form application

#include "stdafx.h"

#using <mscorlib.dll>
#using <System.Windows.Forms.dll> 
#using <System.Drawing.dll>
#using <System.dll>

using namespace System;
using namespace System::Windows::Forms; 
using namespace System::Collections;
using namespace System::Drawing;

__gc class MyForm : public Form
{
public:
	MyForm();
};

//When the form is created, we'll populate it
MyForm::MyForm() : Form()
{
	//Create a new button
	Button *poOK = new Button();
	//Create a text editor
	RichTextBox *poTE = new RichTextBox();
	//Create an image
	PictureBox *poImg = new PictureBox();

	//Set the size of the form
	this->Width = 600;
	this->Height = 400;

	//Set the button properties
	poOK->Text = "OK";
	poOK->Left = 280;
	poOK->Top = 350;
	poOK->BackColor = Color::Blue;

	//Make this the accept button for the form
	this->AcceptButton = poOK;

	//Add the button to the form
	this->Controls->Add(poOK);


	//Set the text editor properties
	poTE->Left = 200;
	poTE->Top = 10;
	poTE->Width = 380;
	poTE->Height = 300;
	poTE->Text = S"Edit me";

	//Add the text editor to the page
	this->Controls->Add(poTE);

	//Set the image properties
	poImg->Left = 10;
	poImg->Top = 10;
	poImg->Width = 160;
	poImg->Height = 120;
	poImg->Image = Image::FromFile("..\\desert4.jpg");
	poImg->SizeMode = PictureBoxSizeMode::StretchImage;

	//Add it to the page
	this->Controls->Add(poImg);

}

// This is the entry point for this application
#ifdef _UNICODE
int wmain(void)
#else
int main(void)
#endif
{
	Application::Run(new MyForm());
	return 0;
}