// Strings101
// Shows some basic string manipulations

#include "stdafx.h"

#using <mscorlib.dll>

using namespace System;

// This is the entry point for this application
#ifdef _UNICODE
int wmain(void)
#else
int main(void)
#endif
{
	String *pszString;
	int nNumber;
	double fltNumber;

	//Combine two strings
	pszString = String::Concat(S"Peanut butter", S" and jelly");
	Console::WriteLine(pszString);

	//Combine two strings while converting
	nNumber = 3;
	pszString = String::Concat(S"Converted ", nNumber.ToString());
	Console::WriteLine(pszString);

	//Convert to a floating point number
	Console::WriteLine(S"Please enter a number");
	fltNumber = Double::Parse(Console::ReadLine());
	//Add a number to it
	fltNumber = fltNumber + 30.5;
	//Now write it out
	Console::WriteLine(String::Concat("The number is ", fltNumber.ToString()));

	//Write some strings out concatenating in place
	Console::WriteLine(String::Concat(S"First ", S"Second ", S"Third"));

	//Write using format syntax
	Console::WriteLine(S"A string: {0}\nAn integer {1}", S"my string", nNumber.ToString());

	//Get rid of leading and trailing whitespace
	pszString = S"   Hello   World     ";
	Console::WriteLine(S"With: {0}\n and without leading/trailing whitespace: {1}", pszString, pszString->Trim());

	//Find the character in the middle of the string
	Console::WriteLine(S"The middle character of {0} is \"{1}\"", pszString, pszString->Substring(pszString->Length/2, 1));

	//Hang out until the user is finished
	Console::WriteLine(S"Hit the enter key to stop the program");
	Console::ReadLine();
    return 0;
}